# Input/Output example. Serialize a list with P0D and P1D arrays.

# Note: Each object in jHepWork can be serialized.
# put objects in collections if you need to save them.

from jhplot  import *
from jhplot.io import *

p1=P1D("test")
p1.add(10,20)
p1.add(12,40)
print p1.toString()

p2=P0D("test2")
for i in range(10):
    p2.add(i*i)

# make list
a=[p1,p2]

# write to a file
Serialized.write(a,'file.ser')

# deserialize list from the file
fas=Serialized.read('file.ser')

p1=fas[0]
p2=fas[1]
print "After serialization:\n"
print p1.toString()
print p2.toString()

# plot 
c1 = HPlot("Canvas",600,400)
c1.setGTitle("P0D/P1D collection from a serialized file");
c1.visible(1)
c1.setAutoRange()
c1.draw(p1)
# convert o H1D first
c1.draw(p2.getH1D(10))

