# Input/Output. Write and read histograms using HBook class.

from java.awt import Color
from java.awt import Font
from jhplot  import HPlot,P1D,HBook

# make main canvas
c1 = HPlot("Canvas",600,400,2, 1)
c1.visible(1)
c1.setAutoRange()

c1.setGTitle("XML Histograms from CFBook", Color.blue) #put title
c1.setGrid(0,0)
c1.setGrid(1,0)

# input file
DataDir=SystemDir+fSep+"macros"+fSep+"examples"+fSep+"data"+fSep+"cpp.xml";

# create HBook object
hb = HBook("my hbook") 


p1=P1D("test")
p1.add(1.0,2.0)
p1.add(2.0,3.0)
hb.add(20,p1)

p2=P1D("test2")
p2.add(11.0,22.0)
p2.add(22.0,32.0)
hb.add(21,p2)


# read histograms from the file 
hb.read(DataDir)



# write all histograms back in a XML file
# also, p1 and p2 will be written
# hb.write("out.xml")

# print all histograms
print hb.listH1D()
# get 2 histograms
h1 = hb.getH1D(0)
h2 = hb.getH1D(1)

c1.cd(1,1)
h1.setFill(1)
h1.setFillColorTransparency(0.7)
h1.setFillColor(Color.red)
h1.setStyle("h")
c1.draw(h1)

print h1.mean()
print h1.rms()
print h1.entries()


c1.cd(2,1)
c1.setAutoRange()
h2.setFill(1)
h2.setFillColorTransparency(0.7)
h2.setFillColor(Color.blue)
h2.setStyle("h")
c1.draw(h2)





# c1.export(Editor.DocMasterName()+".png")


