# Linear regression example. Show predictions and confidence range 
#
from jhplot  import HPlot,P1D,F1D
from jhplot.stat  import LinReg
from java.awt import Color

print "\njhplot.regression:"
c1 = HPlot("Canvas",600,400,1, 1)
c1.visible(1)
c1.setGTitle("Linear regression")
c1.setAutoRange()


p1= P1D("data")
p1.add(20,6)
p1.add(1,3) 
p1.add(19,30)
p1.add(29,16)
p1.add(18,6)
p1.add(38,26)
p1.add(8,6)
p1.add(17,10)
p1.add(5,4)

r = LinReg(p1)
print "Intercept=",r.getIntercept(), "+/-",r.getInterceptError() 
print "Slope=",r.getSlope(),"+/-",r.getSlopeError() 

# get predictions as band
# pC=r.getConfidenceBand(Color.red,0.5)
# c1.draw(pC)

pP=r.getPredictionBand(Color.red,0.5)
c1.draw(pP)

# draw original data 
# c1.draw(p1)

# c=r.getResult()



# draw F1D function with the result
c1.draw(  r.getResult()  )


# draw P1D[2] with predictions 
c1.draw(   r.getPrediction() )

# draw P1D[2} with confidence
# c1.draw(   r.getConfidence() )


# p.setErrFillColor(Color.blue,0.5)
# p.setErr(1)
# c1.draw(p)
